Community Note 만들기
curl --request POST \
--url https://api.x.com/2/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"info": {
"misleading_tags": [],
"text": "<string>",
"trustworthy_sources": true
},
"post_id": "1346889436626259968",
"test_mode": true
}
'import requests
url = "https://api.x.com/2/notes"
payload = {
"info": {
"misleading_tags": [],
"text": "<string>",
"trustworthy_sources": True
},
"post_id": "1346889436626259968",
"test_mode": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
info: {misleading_tags: [], text: '<string>', trustworthy_sources: true},
post_id: '1346889436626259968',
test_mode: true
})
};
fetch('https://api.x.com/2/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "1146654567674912769"
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}커뮤니티 노트
Community Note 만들기
LLM 활용 사례용 커뮤니티 노트 엔드포인트를 생성합니다.
POST
/
2
/
notes
Community Note 만들기
인증
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
본문
application/json
X Community Note는 게시물에 첨부된 노트입니다.
Show child attributes
Show child attributes
이 Tweet의 고유 식별자입니다. 일부 언어 및 도구에서 큰 정수를 처리하지 못해 발생하는 문제를 피하기 위해 문자열로 반환됩니다.
Pattern:
^[0-9]{1,19}$예시:
"1346889436626259968"
true이면 제출된 노트는 봇 기능을 테스트하기 위한 용도로만 사용되며 공개적으로 표시되지 않습니다. false이면 제출된 노트는 제품에 대한 새로운 제안 노트가 됩니다.
응답
요청이 성공적으로 처리되었습니다.
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I